oslo.config.cfg.NoSuchGroupError: no such group: <oslo_config.cfg.OptGroup object

asked 2015-03-11 08:03:47 -0500

mj gravatar image

Hi All,

I am trying to install nova packages on the controller node. But I am facing a strange problem.

oslo.config.cfg.NoSuchGroupError: no such group: <oslo_config.cfg.OptGroup object

pip install oslo.config --upgrade I did but no change in error. Can you please help.

root@arm64:~# apt-get install nova-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
nova-common is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 39 not upgraded.
7 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up nova-common (1:2014.1-0ubuntu1) ...
usermod: no changes
Traceback (most recent call last):
  File "/usr/bin/nova-manage", line 10, in <module>
    sys.exit(main())
  File "/usr/local/lib/python2.7/dist-packages/nova/cmd/manage.py", line 1252, in main
    config.parse_args(sys.argv)
  File "/usr/local/lib/python2.7/dist-packages/nova/config.py", line 56, in parse_args
    rpc.init(CONF)
  File "/usr/local/lib/python2.7/dist-packages/nova/rpc.py", line 63, in init
    aliases=TRANSPORT_ALIASES)
  File "/usr/lib/python2.7/dist-packages/oslo/messaging/transport.py", line 183, in get_transport
    invoke_kwds=kwargs)
  File "/usr/local/lib/python2.7/dist-packages/stevedore/driver.py", line 45, in __init__
    verify_requirements=verify_requirements,
  File "/usr/local/lib/python2.7/dist-packages/stevedore/named.py", line 55, in __init__
    verify_requirements)
  File "/usr/local/lib/python2.7/dist-packages/stevedore/extension.py", line 170, in _load_plugins
    self._on_load_failure_callback(self, ep, err)
  File "/usr/local/lib/python2.7/dist-packages/stevedore/driver.py", line 50, in _default_on_load_failure
    raise err
oslo.config.cfg.NoSuchGroupError: no such group: <oslo_config.cfg.OptGroup object at 0x7f8d0d7ad0>
edit retag flag offensive close merge delete

Comments

It looks like a problem with that package. Can you remove it, clean and update your repositories, and try the installation again?

lnxslck gravatar imagelnxslck ( 2015-03-11 10:57:37 -0500 )edit

tried multiple times

mj gravatar imagemj ( 2015-03-11 12:45:03 -0500 )edit

If you can, enable the testing repository and install newer versions of software. That can get that problem solved.

lnxslck gravatar imagelnxslck ( 2015-03-12 04:51:30 -0500 )edit

Did anyone ever find a resolution to this issue? I'm also experiencing this problem. I manually re-installed all the Oslo packages with no success, followed by a manual re-install of all the Neutron packages.

soppliger gravatar imagesoppliger ( 2015-10-31 07:38:50 -0500 )edit